const Pt='c:\diski_zx\';
var f:file;
buff:array[0..$FFF]of byte;
fIn,fOut:file;
c:char;
procedure upDate(upName:string);
begin
assign(fOut,pt+upName);
reset(fOut,1);
blockRead(fIn,buff,$1000);
seek(fOut,$20000);
blockWrite(fOut,buff,$1000);

blockRead(fIn,buff,$1000);
seek(fOut,$22000);
blockWrite(fOut,buff,$1000);

blockRead(fIn,buff,$1000);
seek(fOut,$24000);
blockWrite(fOut,buff,$1000);

blockRead(fIn,buff,$1000);
seek(fOut,$26000);
blockWrite(fOut,buff,$1000);
close(fOut);

end;
begin
assign(fIn,pt+'les21add.drv');
reset(fIn,1);
for c:='0' to '4' do
upDate('less221'+c+'.drv');
close(fIn);
end.